List the pending proposals on an item
GET
/api/v1/item-actions/pending-for-item/{itemId}
const url = 'https://app.avera.io/api/v1/item-actions/pending-for-item/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/item-actions/pending-for-item/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”itemId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
Array<object>
object
id
required
string format: uuid
batchId
required
string format: uuid
type
required
string
payload
required
object
container
boolean
nodeType
string
string
boolean
integralNumber
boolean
missingNode
boolean
valueNode
boolean
pojo
boolean
number
boolean
short
boolean
int
boolean
long
boolean
double
boolean
bigDecimal
boolean
bigInteger
boolean
textual
boolean
boolean
boolean
binary
boolean
floatingPointNumber
boolean
empty
boolean
array
boolean
null
boolean
object
boolean
float
boolean
embeddedValue
boolean
status
required
string
subjectItemId
string | null format: uuid
subjectItemSeq
integer | null format: int64
authorActor
required
string
authorId
required
string format: uuid
authorAt
required
string format: date-time
resolvedBy
string | null format: uuid
resolvedAt
string | null format: date-time
originatingAIProposalId
string | null format: uuid
originatingChatSessionId
string | null format: uuid
parentCommentId
string | null format: uuid
parentActionId
string | null format: uuid
localRef
string | null
display
One of:
object
subjectItemNumber
string | null
subject
attributeEdits
Array<object> | null
object
slug
required
string
label
required
string
dataType
required
string
enumValues
Array<string> | null
before
string | null
after
string | null
createAttributes
Array<object> | null
object
slug
required
string
label
required
string
dataType
string | null
value
string | null
declared
required
boolean
itemTypeLabel
string | null
relationshipEndpoints
relationshipSet
One of:
object
relationshipTypeId
required
string
direction
required
string
added
required
Array<object>
object
number
string | null
title
string | null
itemType
string | null
newItemRef
string | null
removed
required
Array<object>
object
number
string | null
title
string | null
itemType
string | null
newItemRef
string | null
null
transition
signature
anchorLabel
string | null
sectionLabel
string | null
originSessionOrigin
string | null
originClientLabel
string | null
createLinks
Array<object> | null
object
relationshipTypeId
string | null
newItemSide
required
string
other
required
object
number
string | null
title
string | null
itemType
string | null
newItemRef
string | null
foldedIntoActionId
string | null format: uuid
null